DID Management
Generates new DID documents for the specified methods.
One-Click access token (Authorization: Bearer )
DID method which will be used for generate DID documents
["empe","empe-testnet","web"]The DID documents have been successfully created.
JSON-LD context for the DID document
https://www.w3.org/ns/did/v1The DID
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe controller of the DID document
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe verification methods associated with the DID document
[{"id":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1","type":"Ed25519VerificationKey2020","controller":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA","publicKeyMultibase":"z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"}]Authentication methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Assertion methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Capability invocation methods
Capability delegation methods
Key agreement methods
Services associated with the DID document
Alternative identifiers for the DID
Validation error.
Missing or invalid authentication token.
POST /did/generate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"methods": [
"empe",
"empe-testnet",
"web"
]
}[
{
"@context": "https://www.w3.org/ns/did/v1",
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"verificationMethod": [
{
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1",
"type": "Ed25519VerificationKey2020",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"publicKeyMultibase": "z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"
}
],
"authentication": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"assertionMethod": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"capabilityInvocation": [],
"capabilityDelegation": [],
"keyAgreement": [],
"service": [],
"alsoKnownAs": []
}
]Restores/creates DID documents for the specified methods using a mnemonic phrase.
One-Click access token (Authorization: Bearer )
DID method which will be used for generate DID documents
["empe","empe-testnet","web"]Mnemonic phrase used to restore the DID(s).
abandon ability able about above absent absorb abstract absurd abuse access accidentThe DID documents have been successfully imported.
JSON-LD context for the DID document
https://www.w3.org/ns/did/v1The DID
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe controller of the DID document
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe verification methods associated with the DID document
[{"id":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1","type":"Ed25519VerificationKey2020","controller":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA","publicKeyMultibase":"z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"}]Authentication methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Assertion methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Capability invocation methods
Capability delegation methods
Key agreement methods
Services associated with the DID document
Alternative identifiers for the DID
Validation error.
Missing or invalid authentication token.
POST /did/import HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 140
{
"methods": [
"empe",
"empe-testnet",
"web"
],
"mnemonics": "abandon ability able about above absent absorb abstract absurd abuse access accident"
}[
{
"@context": "https://www.w3.org/ns/did/v1",
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"verificationMethod": [
{
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1",
"type": "Ed25519VerificationKey2020",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"publicKeyMultibase": "z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"
}
],
"authentication": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"assertionMethod": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"capabilityInvocation": [],
"capabilityDelegation": [],
"keyAgreement": [],
"service": [],
"alsoKnownAs": []
}
]Fetches the existing DID document for the specified method. For EMPE_TESTNET, the underlying network must be TESTNET.
One-Click access token (Authorization: Bearer )
The DID method to resolve.
The DID document has been successfully retrieved.
JSON-LD context for the DID document
https://www.w3.org/ns/did/v1The DID
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe controller of the DID document
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe verification methods associated with the DID document
[{"id":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1","type":"Ed25519VerificationKey2020","controller":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA","publicKeyMultibase":"z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"}]Authentication methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Assertion methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Capability invocation methods
Capability delegation methods
Key agreement methods
Services associated with the DID document
Alternative identifiers for the DID
The method query parameter is missing or invalid.
No DID document exists for the requested method.
GET /dids/{method} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"@context": "https://www.w3.org/ns/did/v1",
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"verificationMethod": [
{
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1",
"type": "Ed25519VerificationKey2020",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"publicKeyMultibase": "z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"
}
],
"authentication": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"assertionMethod": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"capabilityInvocation": [],
"capabilityDelegation": [],
"keyAgreement": [],
"service": [],
"alsoKnownAs": []
}Fetches all DID documents from all networks
One-Click access token (Authorization: Bearer )
The DID documents have been successfully retrieved
JSON-LD context for the DID document
https://www.w3.org/ns/did/v1The DID
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe controller of the DID document
did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kAThe verification methods associated with the DID document
[{"id":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1","type":"Ed25519VerificationKey2020","controller":"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA","publicKeyMultibase":"z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"}]Authentication methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Assertion methods for the DID document
["did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"]Capability invocation methods
Capability delegation methods
Key agreement methods
Services associated with the DID document
Alternative identifiers for the DID
GET /dids HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
The DID documents have been successfully retrieved
[
{
"@context": "https://www.w3.org/ns/did/v1",
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"verificationMethod": [
{
"id": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1",
"type": "Ed25519VerificationKey2020",
"controller": "did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA",
"publicKeyMultibase": "z6MkoTHsg2YMW1qSw7pdPcyKyKR4jaHmkKMM2cQEKDSNmhd7"
}
],
"authentication": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"assertionMethod": [
"did:empe:testnet:EiBZK8AeSe3xq-hiMgL2-zkSe8XAoIcMNxQmoK3vpE97kA#key-1"
],
"capabilityInvocation": [],
"capabilityDelegation": [],
"keyAgreement": [],
"service": [],
"alsoKnownAs": []
}
]One-Click access token (Authorization: Bearer )
User id
No content
GET /did/user/{id}/did.json HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated